# 7.2.1.1. NV::Cupti::Checkpoint

namespace Checkpoint

Data Structures

- CUpti_Checkpoint: Configuration and handle for a CUPTI Checkpoint.

Enumerations

- CUpti_CheckpointOptimizations: Specifies optimization options for a checkpoint, may be OR'd together to specify multiple options.

Functions

- cuptiCheckpointFree(CUpti_Checkpoint *const handle): Free the backing data for a checkpoint.

- cuptiCheckpointRestore(CUpti_Checkpoint *const handle): Restore a checkpoint to the device associated with its context.

- cuptiCheckpointSave(CUpti_Checkpoint *const handle): Initialize and save a checkpoint of the device state associated with the handle context.